package click.kamil.springstatemachineexporter.model;

public record Action(String expression, boolean isLambda, String internalLogic, Integer lineNumber, String className, String sourceFile) {
    public static Action of(String expression, boolean isLambda, String internalLogic, Integer lineNumber, String className, String sourceFile) {
        return expression != null ? new Action(expression, isLambda, internalLogic, lineNumber, className, sourceFile) : null;
    }
}
